Skip to main content
`Ctrl`+`K`

# DMCopyDMKSP

copies a `DM` `DMKSP` context to a new `DM`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode DMCopyDMKSP(DM dmsrc, DM dmdest)

Logically Collective

## Input Parameters

- dmsrc - `DM` to obtain context from

- dmdest - `DM` to add context to

## Note

The context is copied by reference. This function does not ensure that a context exists.

## See Also

KSP: Linear System Solvers, `DMKSP`, `DM`, `KSP`, `DMGetDMKSP()`, `KSPSetDM()`

## Level

developer

## Location

src/ksp/ksp/interface/dmksp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages